Creates a transaction document that will be used to group some files in single processing unit
curl --request POST \
--url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"index": 123,
"imageProcessingOptions": {}
}
'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents"
payload = {
"index": 123,
"imageProcessingOptions": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({index: 123, imageProcessingOptions: {}})
};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}TransactionDocuments
Creates a transaction document that will be used to group some files in single processing unit
Non-process skills allow only one document
POST
/
api
/
publicapi
/
v1
/
transactions
/
{transactionId}
/
documents
Creates a transaction document that will be used to group some files in single processing unit
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://vantage-us.abbyy.com/auth2/connect/authorize
- Token URL
- https://vantage-us.abbyy.com/auth2/connect/token
Scopes3
global.wildcard
Global wildcard
openid
User Id
permissions
User permissions
Path Parameters
Transaction identifier. You receive it in the response after the transaction has been successfully created.
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Response
Transaction document successfully added
Document Id
Was this page helpful?
